package com.microservices.dms.resourceLibrary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;

/**
 * 专家资源库对象 expert_resource_library
 *
 * @author microservices
 * @date 2025-04-11
 */
public class ExpertResourceLibrary extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long expertId;
    private Long id;
    //专家ID
    private Long userId;
    //专家名称
    private String expertName;
    //最高学历
    private String highestDegree;
    //毕业院校
    private String graduatedFrom;
    //身份证
    private String idNumber;

    private String major;
    //工作单位
    private String workplace;
    //电话
    private String phone;

    private String workplaceType;
    //邮箱
    private String expertEmail;
    //专家简介
    private String expertSummary;
    //专家详情
    private String expertDetail;

    private String professionalTitle;

    private String expertType;
    //专家领域
    private String expertDomain;

    private String titleRank;

    private Long status;
    //评审领域1
    private String reviewAreaOne;
    //评审领域2
    private String reviewAreaTwo;
    //评审领域3
    private String reviewAreaThree;
    //领域查询条件
    private String areaQuery;

    private Integer isDelete;

    private Long expertAuth;

    private Integer sortNo;

    private Long taskAuditCount;

    private Long competitionAuditCount;

    private String images;
    private String attachments;
    private Long watcherSum;
    private Long favoriteSum;

    private String userImg;
    private String userNickName;
    private String otherAttachments;

    public String getOtherAttachments() {
        return otherAttachments;
    }

    public void setOtherAttachments(String otherAttachments) {
        this.otherAttachments = otherAttachments;
    }

    public String getUserImg() {
        return userImg;
    }

    public void setUserImg(String userImg) {
        this.userImg = userImg;
    }

    public String getUserNickName() {
        return userNickName;
    }

    public void setUserNickName(String userNickName) {
        this.userNickName = userNickName;
    }

    public String getAreaQuery() {
        return areaQuery;
    }

    public void setAreaQuery(String areaQuery) {
        this.areaQuery = areaQuery;
    }

    public Long getWatcherSum() {
        return watcherSum;
    }

    public void setWatcherSum(Long watcherSum) {
        this.watcherSum = watcherSum;
    }

    public Long getFavoriteSum() {
        return favoriteSum;
    }

    public void setFavoriteSum(Long favoriteSum) {
        this.favoriteSum = favoriteSum;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public Long getExpertAuth() {
        return expertAuth;
    }

    public void setExpertAuth(Long expertAuth) {
        this.expertAuth = expertAuth;
    }

    public Long getTaskAuditCount() {
        return taskAuditCount;
    }

    public void setTaskAuditCount(Long taskAuditCount) {
        this.taskAuditCount = taskAuditCount;
    }

    public Long getCompetitionAuditCount() {
        return competitionAuditCount;
    }

    public void setCompetitionAuditCount(Long competitionAuditCount) {
        this.competitionAuditCount = competitionAuditCount;
    }

    public String gender;

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    public Long getExpertId() {
        return expertId;
    }

    public void setExpertId(Long expertId) {
        this.expertId = expertId;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setExpertName(String expertName) {
        this.expertName = expertName;
    }

    public String getExpertName() {
        return expertName;
    }

    public void setHighestDegree(String highestDegree) {
        this.highestDegree = highestDegree;
    }

    public String getHighestDegree() {
        return highestDegree;
    }

    public void setGraduatedFrom(String graduatedFrom) {
        this.graduatedFrom = graduatedFrom;
    }

    public String getGraduatedFrom() {
        return graduatedFrom;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getMajor() {
        return major;
    }

    public void setWorkplace(String workplace) {
        this.workplace = workplace;
    }

    public String getWorkplace() {
        return workplace;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPhone() {
        return phone;
    }

    public void setWorkplaceType(String workplaceType) {
        this.workplaceType = workplaceType;
    }

    public String getWorkplaceType() {
        return workplaceType;
    }

    public void setExpertEmail(String expertEmail) {
        this.expertEmail = expertEmail;
    }

    public String getExpertEmail() {
        return expertEmail;
    }

    public void setExpertSummary(String expertSummary) {
        this.expertSummary = expertSummary;
    }

    public String getExpertSummary() {
        return expertSummary;
    }

    public void setExpertDetail(String expertDetail) {
        this.expertDetail = expertDetail;
    }

    public String getExpertDetail() {
        return expertDetail;
    }

    public void setProfessionalTitle(String professionalTitle) {
        this.professionalTitle = professionalTitle;
    }

    public String getProfessionalTitle() {
        return professionalTitle;
    }

    public void setExpertType(String expertType) {
        this.expertType = expertType;
    }

    public String getExpertType() {
        return expertType;
    }

    public void setExpertDomain(String expertDomain) {
        this.expertDomain = expertDomain;
    }

    public String getExpertDomain() {
        return expertDomain;
    }

    public void setTitleRank(String titleRank) {
        this.titleRank = titleRank;
    }

    public String getTitleRank() {
        return titleRank;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setReviewAreaOne(String reviewAreaOne) {
        this.reviewAreaOne = reviewAreaOne;
    }

    public String getReviewAreaOne() {
        return reviewAreaOne;
    }

    public void setReviewAreaTwo(String reviewAreaTwo) {
        this.reviewAreaTwo = reviewAreaTwo;
    }

    public String getReviewAreaTwo() {
        return reviewAreaTwo;
    }

    public void setReviewAreaThree(String reviewAreaThree) {
        this.reviewAreaThree = reviewAreaThree;
    }

    public String getReviewAreaThree() {
        return reviewAreaThree;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }


}
